org.faceless.pdf2

## Class Event

- java.lang.Object
- - org.faceless.pdf2.Event

-     public final class Event
      extends Object

  Enumeration class for listing the various types of event that can occur while a PDF document is being loded in Acrobat. Events are always associated with `PDFAction` objects.
  Since:
    2.0
  See Also:
    `PDF.setAction(org.faceless.pdf2.Event, org.faceless.pdf2.PDFAction)`, `PDFPage.setAction(org.faceless.pdf2.Event, org.faceless.pdf2.PDFAction)`, `FormElement.setAction(org.faceless.pdf2.Event, org.faceless.pdf2.PDFAction)`, `AnnotationLink.setAction(org.faceless.pdf2.PDFAction)`, `WidgetAnnotation.setAction(org.faceless.pdf2.Event, org.faceless.pdf2.PDFAction)`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Event[]` | `ALL` A list of all the Event objects, to make iterating over them easier
    `static Event` | `BLUR` Occurs when a `WidgetAnnotation` loses the cursor focus
    `static Event` | `CHANGE` Occurs when a `FormElement` has it's value changed
    `static Event` | `CLICK` Deprecated. this Event is now a synonym for `MOUSEUP`
    `static Event` | `CLOSE` Occurs when a `PDF` or `PDFPage` is closed.
    `static Event` | `FOCUS` Occurs when a `WidgetAnnotation` gains the cursor focus
    `static Event` | `FORMAT` Occurs when a `FormElement` has had it's value changed and is about to be reformatted for display.
    `static Event` | `KEYPRESS` Occurs when a `FormElement` has a key pressed in one of it's annotations.
    `static Event` | `MOUSEDOWN` Occurs when a `WidgetAnnotation` has the mouse button depressed inside it
    `static Event` | `MOUSEOUT` Occurs when a `WidgetAnnotation` has the mouse roll off it
    `static Event` | `MOUSEOVER` Occurs when a `WidgetAnnotation` has the mouse roll over it
    `static Event` | `MOUSEUP` Occurs when a `WidgetAnnotation` has the mouse button released after having it depressed inside it
    `static Event` | `OPEN` Occurs when a `PDF` or `PDFPage` is opened.
    `static Event` | `OTHERCHANGE` Occurs when a `FormElement` other than itself has it's value changed.
    `static Event` | `POST_PRINT` Occurs when a `PDF` has just been be printed (Doc/DidPrint).
    `static Event` | `POST_SAVE` Occurs when a `PDF` has just been be saved (Doc/DidSave).
    `static Event` | `PRE_PRINT` Occurs when a `PDF` is about to be printed (Doc/WillPrint).
    `static Event` | `PRE_SAVE` Occurs when a `PDF` is about to be saved (Doc/WillSave).

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### OPEN

          public static final Event OPEN

      Occurs when a `PDF` or `PDFPage` is opened. For a PDF this only fires once, for a page it fires every time the page is displayed

    - #### CLOSE

          public static final Event CLOSE

      Occurs when a `PDF` or `PDFPage` is closed. For a PDF this only fires once, for a page it fires every time the page is removed from the display

    - #### MOUSEOVER

          public static final Event MOUSEOVER

      Occurs when a `WidgetAnnotation` has the mouse roll over it

    - #### MOUSEOUT

          public static final Event MOUSEOUT

      Occurs when a `WidgetAnnotation` has the mouse roll off it

    - #### MOUSEDOWN

          public static final Event MOUSEDOWN

      Occurs when a `WidgetAnnotation` has the mouse button depressed inside it

    - #### MOUSEUP

          public static final Event MOUSEUP

      Occurs when a `WidgetAnnotation` has the mouse button released after having it depressed inside it

    - #### CLICK

          @Deprecated
          public static final Event CLICK

      Deprecated. this Event is now a synonym for `MOUSEUP`
      Occurs when the mouse is clicked on a `WidgetAnnotation`

    - #### FOCUS

          public static final Event FOCUS

      Occurs when a `WidgetAnnotation` gains the cursor focus

    - #### BLUR

          public static final Event BLUR

      Occurs when a `WidgetAnnotation` loses the cursor focus

    - #### KEYPRESS

          public static final Event KEYPRESS

      Occurs when a `FormElement` has a key pressed in one of it's annotations. This only applies to `FormText` and `FormChoice` elements

    - #### FORMAT

          public static final Event FORMAT

      Occurs when a `FormElement` has had it's value changed and is about to be reformatted for display. This only applies to `FormText` and `FormChoice` elements

    - #### CHANGE

          public static final Event CHANGE

      Occurs when a `FormElement` has it's value changed

    - #### OTHERCHANGE

          public static final Event OTHERCHANGE

      Occurs when a `FormElement` other than itself has it's value changed. Useful for calculating the value of read-only fields based on the values of others (for example)

    - #### PRE_SAVE

          public static final Event PRE_SAVE

      Occurs when a `PDF` is about to be saved (Doc/WillSave). Acrobat 5 and later only

    - #### POST_SAVE

          public static final Event POST_SAVE

      Occurs when a `PDF` has just been be saved (Doc/DidSave). Acrobat 5 and later only

    - #### PRE_PRINT

          public static final Event PRE_PRINT

      Occurs when a `PDF` is about to be printed (Doc/WillPrint). Acrobat 5 and later only

    - #### POST_PRINT

          public static final Event POST_PRINT

      Occurs when a `PDF` has just been be printed (Doc/DidPrint). Acrobat 5 and later only

    - #### ALL

          public static final Event[] ALL

      A list of all the Event objects, to make iterating over them easier

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2001-2015 Big Faceless Organization